package com.dcs.common.exception;

/**
 * CustomException
 *
 * @author: hmy
 * @date: 2025/3/22 14:02
 */
public class CustomException extends RuntimeException {
    private static final long serialVersionUID = 1L;

    private Integer code; // 异常状态码

    public CustomException(String message) {
        super(message);
    }

    public CustomException(String message, Integer code) {
        super(message);
        this.code = code;
    }

    public CustomException(String message, Throwable cause) {
        super(message, cause);
    }

    public Integer getCode() {
        return code;
    }
}
